Holger's Java API

## com.antelmann.sql
Interface SQLConstraint

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  LikeCondition, NotCondition, Range, SQLQueryClause, SubSelectCondition

    public interface SQLConstraint

extends Serializable

a tagging interface that marks classes in this package that are supported objects to be used with a ConnectionHelper

Since:
  23.01.2009, 17:07:50
Author:
  Holger Antelmann
See Also:
  `ConnectionHelper.filterTable(String, Map)`, `SQLMapFilter`

Field Summary
`static SQLConstraint` `IS_NULL`
`static SQLConstraint` `NOT_NULL`

Field Detail

### NOT_NULL

    static final SQLConstraint NOT_NULL

### IS_NULL

    static final SQLConstraint IS_NULL

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads